clc; clear all; close all;

a = 1.30; %upper limit stretch
b = 140; %upper limit stress

labels2 = {'A.1', 'A.2', 'A.3', 'A.4', 'A.5', 'A.6', 'A.8', ...
    'A.9', 'A.10','A.11','A.12','A.13','A.14'};
f2=figure;
subplot(1,2,1)
load('14-1210_sm.mat'); %A1
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','d','Color','k')
set(gca, ...
    'Box'         , 'off'     , ...
    'TickDir'     , 'out'     , ...
    'TickLength'  , [.02 .02] , ...
    'XMinorTick'  , 'on'      , ...
    'YMinorTick'  , 'on'      , ...
    'YGrid'       , 'on'      , ...
    'XColor'      , [.3 .3 .3], ...
    'YColor'      , [.3 .3 .3], ...
    'LineWidth'   , 1         ,...
    'XLim'        , [1 a]     ,...
    'YLim'        , [0 b]);
hold on
load('14-1240_sm.mat'); %A2
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','o','Color','k')
hold on
load('12-545_sm.mat'); %A3
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','s','Color','k')
hold on
load('13-988_sm.mat'); %A4
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','v','Color','k')
hold on
load('12-839_sm.mat'); %A5
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','*','Color','k')
hold on
load('14-854_sm.mat'); %A6
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','+','Color','k')
hold on
load('13-1227_sm.mat'); %A8
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','^','Color','k')
hold on
load('15-539_sm.mat'); %A9
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','<','Color','k')
hold on
load('15-644_sm.mat'); %A.10
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','>','Color','k')
hold on
load('12-1132_sm.mat'); %A.11
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','p','Color','k')
hold on
load('14-1380_sm.mat'); %A.12
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','h','Color','k')
hold on
load('15-824_sm.mat');%A.13
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','+','Color','k')
hold on
load('15-1302_sm.mat');%A.14
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle',':','Color','k')
hold off
xlabel('stretch')
ylabel('cauchy stress [kPa]')
title('axial direction');
iResolution = 300;

hold off
% fig2texPS;
%%
subplot(1,2,2)
load('14-1210_sm.mat');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','d','Color','k')
set(gca, ...
    'Box'         , 'off'     , ...
    'TickDir'     , 'out'     , ...
    'TickLength'  , [.02 .02] , ...
    'XMinorTick'  , 'on'      , ...
    'YMinorTick'  , 'on'      , ...
    'YGrid'       , 'on'      , ...
    'XColor'      , [.3 .3 .3], ...
    'YColor'      , [.3 .3 .3], ...
    'LineWidth'   , 1         ,...
    'XLim'        , [1 a]     ,...
    'YLim'        , [0 b]);
hold on
load('14-1240_sm.mat'); %A2
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','o','Color','k')
hold on
load('12-545_sm.mat'); %A3
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','s','Color','k')
hold on
load('13-988_sm.mat'); %A4
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','v','Color','k')
hold on
load('12-839_sm.mat'); %A5
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','*','Color','k')
hold on
load('14-854_sm.mat'); %A6
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','+','Color','k')
hold on
load('13-1227_sm.mat'); %A8
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','^','Color','k')
hold on
load('15-539_sm.mat'); %A9
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','<','Color','k')
hold on
load('15-644_sm.mat'); %A.10
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','>','Color','k')
hold on
load('12-1132_sm.mat'); %A.11
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','p','Color','k')
hold on
load('14-1380_sm.mat'); %A.12
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','h','Color','k')
hold on
load('15-824_sm.mat');%A.13
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','+','Color','k')
hold on
load('15-1302_sm.mat');%A.15
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle',':','Color','k')
hold off
xlabel('stretch')
ylabel('cauchy stress [kPa]')
title('circumferential direction');
legend(labels2, 'Location', 'NorthWest', ...
    'EdgeColor', [1 1 1], ...
    'TextColor', [0.3 0.3 0.3]);
iResolution = 300;
% fig2texPS;

hold off