clc; clear all; close all;

a = 1.30; %upper limit stretch
b = 140; %upper limit stress

labels2 = {'A.1', 'A.9', 'A.11','A.13','A.14'};
f2=figure;
subplot(1,2,1)
load('14-1210.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','d','Color','k')
set(gca, ...
    'Box'         , 'off'     , ...
    'TickDir'     , 'out'     , ...
    'TickLength'  , [.02 .02] , ...
    'XMinorTick'  , 'on'      , ...
    'YMinorTick'  , 'on'      , ...
    'YGrid'       , 'on'      , ...
    'XColor'      , [.3 .3 .3], ...
    'YColor'      , [.3 .3 .3], ...
    'LineWidth'   , 1         ,...
    'XLim'        , [1 a]     ,...
    'YLim'        , [0 b]);
hold on
load('15-539.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','<','Color','k')
hold on
load('12-1132.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','p','Color','k')
hold on
load('15-824.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle','+','Color','k')
hold on
load('15-1243.mat');
[stretch_ax,Stress_Ax_sm]=CropDataAx(stretch_ax, Stress_Ax_sm);
plot(stretch_ax, Stress_Ax_sm,'LineStyle',':','Color','k')
hold off
xlabel('stretch')
ylabel('cauchy stress [kPa]')
title('axial direction');
iResolution = 300;
legend(labels2, 'Location', 'NorthWest', ...
    'EdgeColor', [1 1 1], ...
    'TextColor', [0.3 0.3 0.3]);
hold off
% fig2texPS;
%%
subplot(1,2,2)
load('14-1210.mat');%A1
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','d','Color','k')
set(gca, ...
    'Box'         , 'off'     , ...
    'TickDir'     , 'out'     , ...
    'TickLength'  , [.02 .02] , ...
    'XMinorTick'  , 'on'      , ...
    'YMinorTick'  , 'on'      , ...
    'YGrid'       , 'on'      , ...
    'XColor'      , [.3 .3 .3], ...
    'YColor'      , [.3 .3 .3], ...
    'LineWidth'   , 1         ,...
    'XLim'        , [1 a]     ,...
    'YLim'        , [0 b]);
hold on
load('15-539.mat');%A9
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','<','Color','k')
hold on
load('12-1132.mat');%A.11
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','p','Color','k')
hold on
load('15-824.mat');%A.13
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle','+','Color','k')
hold on
load('15-1243.mat');
[stretch_circ,Stress_Circ_sm]=CropDataCirc(stretch_circ, Stress_Circ_sm);
plot(stretch_circ, Stress_Circ_sm,'LineStyle',':','Color','k')
hold off
xlabel('stretch')
ylabel('cauchy stress [kPa]')
title('circumferential direction');
iResolution = 300;
% fig2texPS;

hold off